./#=========
.TH yacco2 1 "" "1.0"
./#=========
.SH NAME
yacco2 \(em multi-threaded lr1(1) translation system.

./"========
.SH DESCRIPTION
.B yacco2
is a complete translation system to create compilers/translators.
It is written using "Literate programming" genre that generates
c++ code and companion pdf documents (see CWEB reference below).
Grammars are written in a dialect of a deterministc grammar with  ``literate programming'' directives.
Thus providing the generation duality of c++ code  and its pdf document.
Also the emitted lr(1) parsing tables per grammar have their own lookahead sets documented as a pdf.

.PP
.SH " 4 parts of yacco2 system"
1) 
.I yacco2 
.RS
.nf 
API parse library that your compiler/translator links to
Found in /usr/local/yacco2/library/lib/Release/
.fi
.RE

2) 
.I o2
.RS
.nf 
compiler/compiler program to compile your grammars or to generate their c++/documentation
Found in /usr/local/yacco2/bin
.fi
.RE

 3)
.I o2linker
.RS
.nf 
grammars linker to create ``thread bit'' map, and a grammars summary document
Found in /usr/local/yacco2/bin
.fi
.RE

4) document generator
.RS
.nf
``Literate grammar'' documents (see CWEB reference below)
.fi
.RE

./"========
.SH "SEE ALSO by man"
.BR o2(1), 
.BR o2linker(1), 
.BR TeX(1),
.BR CWEB(1),
.BR cweave(1),
.BR ctangle(1),
.BR mpost(1)
.PP
In 
.B /usr/local/yacco2/docs/ 
.RS
.nf
wlibrary.pdf \(em yacco2's library documented ``literate program'' 
o2.pdf \(em compiler/compiler documented ``literate program'' 
o2linker.pdf \(em documented ``literate program'' 
yacco2's grammars's pdfes
o2linker_doc.pdf \(em example of o2/o2linker's grammars cross reference produced by o2linker 
o2book.pdf \(em reference manual 
.fi
.RE

In 
.B /usr/local/yacco2/
.RS
.nf
READMEvx.y.pdf \(em installation guide. A must read where v: version number, y: minor adjustment number.
.fi
.RE

./"=========
.SH "OTHER LINKS"
.TP
.B www.tug.org
\(em website to download the 
.B CWEB 
``Literate programming'' system, 
.I mpost
Metapost graphics program, and
.B TeX
typesetting system if not already on your system. These are open source. Please consider joining
.B
Tug. 


./"=========
.SH AUTHOR
Dave Bone

 
